@import 'maarch-material-modal.scss';
@import 'maarch-material-alert.scss';
@import 'maarch-material-table.scss';

.mat-form-field {
    width: 100% !important;
}

.mat-tab-body-wrapper {
    padding: 10px;
}

table tr:not(.filters) .mat-form-field {
    width: 200px !important;
}

/* modal part */

.modal-body {
    background-color: white;
    padding: 10px;
    min-height: 200px;
    max-height: 70vh;
    overflow: hidden;
    overflow-y: auto;
}

.modal-body .list-group li {
    /*border-color: #135F7F !important;*/
    font-weight: bold;
}

.mat-autocomplete-panel .mat-option {
    font-size: 80%;
}

.mat-autocomplete-panel .mat-option small {
    opacity: 0.7;
}

.mat-checkbox-layout .mat-checkbox-label {
    font-weight: normal;
}

.mat-paginator-page-size-select {
    width: 60px !important;
}

.admin-toolbar .maarchLogo {
    height: 100%;
    width: 120px;
    padding-left: 5px;
    padding-right: 5px;
}

.admin-toolbar .maarchLogo svg {
    vertical-align: middle;
}

.mat-toolbar.mat-primary {
    z-index: 9;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.24);
}

.admin-container {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 64px;
    bottom: 0;
    left: 0;
    right: 0;
}

.admin-is-mobile {
    top: 56px;
}

.admin-is-mobile .admin-toolbar {
    position: fixed;
    /* Make sure the toolbar will stay on top of the content as it scrolls past. */
    z-index: 2;
}

.admin-toolbar-title-small {
    color: #F99830 !important;
    opacity: 0.9;
    font-size: 72% !important;
    padding-left: 10px;
}

.admin-sidenav-container {
    /* When the sidenav is not fixed, stretch the sidenav container to fill the available space. This
    causes `<mat-sidenav-content>` to act as our scrolling element for desktop layouts. */
    flex: 1;
}

.admin-is-mobile .admin-sidenav-container {
    /* When the sidenav is fixed, don't constrain the height of the sidenav container. This allows the
    `<body>` to be our scrolling element for mobile layouts. */
    flex: 1 0 auto;
}

.hide-for-mobile {
    display: none;
}

.mat-sidenav {
    -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
}

// .mat-row:hover {
//     background: #673ab71a;
//     -webkit-transition: background 0.5s ease-out;
//     -moz-transition: background 0.5s ease-out;
//     -o-transition: background 0.5s ease-out;
//     transition: background 0.5s ease-out;
// }

// .mat-row {
//     background: white;
//     -webkit-transition: background 0.5s ease-out;
//     -moz-transition: background 0.5s ease-out;
//     -o-transition: background 0.5s ease-out;
//     transition: background 0.5s ease-out;
// }

.mat-cell {
    word-wrap: normal !important;
    text-overflow: ellipsis;
}

/* small display mode */

@media all and (max-width: 768px) {

    .admin-toolbar .mat-button {
        min-width: initial;
    }

    .admin-toolbar .maarchLogo {
        height: 100%;
        width: 50px;
    }

    .admin-toolbar-title {
        margin-left: 0px !important;
    }
}

.jstree-checkbox {
    display: none !important;
}

.card-app-content {
    min-height: 100%;
    overflow: auto;
}

.headerMaarch .mat-menu-content {
    position: relative !important;
}

.headerMaarch.mat-menu-panel {
    background: #135f7f !important;
}

.headerMaarchShortcut.mat-menu-panel {
    max-width: 400px;
}

.headerMaarchShortcut .mat-menu-content {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

.headerMaarchShortcut .mat-nav-list {
    padding-top: 0px !important;
}

.mat-column-default_priority {
    display: flex;
    justify-content: center;
}

.mat-column-working_days {
    display: flex;
    justify-content: center;
}

.mat-tab-body-content {
    overflow: hidden !important;
}

.mat-raised-button {
    margin: 5px !important;
}

.mat-expansion-panel-header-title,
.mat-expansion-panel-header-description {
    flex-basis: 0;
}

.mat-expansion-panel-header-description {
    justify-content: space-between;
    align-items: center;
}

.homeBasketList .mat-list .mat-list-item {
    height: 39px !important;
    font-size: 14px !important;
}

.example-loading-shade {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 56px;
    right: 0;
    background: rgba(0, 0, 0, 0.15);
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

#searchInput .mat-form-field-infix {
    width: 100%;
}

#searchInput .mat-form-field-label {
    opacity: 0.5;
}

.mat-slide-toggle-label {
    font-weight: normal;
}

/* FIX BUG CSS WITH CHROME */
.mat-dialog-container,
.mat-tab-body-content {
    height: auto !important;
}

.no-padding-full-dialog .mat-dialog-container {
    margin: 0;
    position: relative;
    height: 95vh !important;
    width: 90vw !important;
    overflow: hidden;
}